summarylogtreecommitdiffstats
path: root/evernote-for-linux-bin.install
diff options
context:
space:
mode:
Diffstat (limited to 'evernote-for-linux-bin.install')
-rw-r--r--evernote-for-linux-bin.install23
1 files changed, 23 insertions, 0 deletions
diff --git a/evernote-for-linux-bin.install b/evernote-for-linux-bin.install
new file mode 100644
index 000000000000..5a37ec3a5ae8
--- /dev/null
+++ b/evernote-for-linux-bin.install
@@ -0,0 +1,23 @@
+## arg 1: the new package version
+post_install() {
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+pre_upgrade() {
+ post_remove $2
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+## arg 1: the old package version
+post_remove() {
+ # Delete the link to the binary
+ rm -f '/usr/bin/evernote-client'
+}